Description

We use a lot Redmine possibility to track time for issues in our projects, and it works nicely. But we'd like to have something more: an

opportunity to change issue for several spent time entries simultaneously. So, how it could behave: on page with issue's time entries

change select checkboxes near several entries and then click edit button. If we change issue number at the next page (issue editor),

then other selected entries have to change their issue number. It seems logically clear behaviour.

Also it were really good if we could edit user field of spent time entry on issue editor page. It should be just new field on the form

(there is no user field on form now). But I'm not sure, would there be another feature request?

Associated revisions

Revision 14242 - 2015-05-09 12:10 - Jean-Philippe Lang

Can't bulk edit own time entries with "Edit own time entries" (#18580).

Revision 14246 - 2015-05-10 09:19 - Jean-Philippe Lang

Merged r14242 (#18580).

Revision 14252 - 2015-05-10 09:25 - Jean-Philippe Lang

Merged r14242 (#18580).

History

#1 - 2014-12-06 06:31 - Mischa The Evil

- Status changed from New to Needs feedback

Evgeniy Veretennikov wrote:

[...] an opportunity to change issue for several spent time entries simultaneously. So, how it could behave: on page with issue's time entries

change select checkboxes near several entries and then click edit button. If we change issue number at the next page (issue editor), then other

selected entries have to change their issue number. It seems logically clear behaviour.

 I think the feature you describe is already at hand in current Redmine releases (starting from 1.2.0). It is called time entries bulk edit and it is available

using the right-click menu on any set of selected time entries (making it work just like the right-click menu's bulk edit on issue lists), then select edit.

On the form that follows you can fill in a new issue number which is then set for all the selected time entries. If you leave the field blank, the existing

issue ids will be preserved (no change). As such, you can't set a blank value for issue ids while bulk editing time entries. That means that you can't

bulk edit issue-level time entries into project-level time entries (ones without issue ids) this way.

Time entries bulk edit was implemented via issue #7996. You can see some screenshots that were attached in #7996#note-7.

Also it were really good if we could edit user field of spent time entry on issue editor page. It should be just new field on the form (there is no user

field on form now). But I'm not sure, would there be another feature request?

 You are right, there are already two (main) issues covering this thing: see #3848 and #7239.

#2 - 2014-12-08 18:20 - VVD VVD

Mischa The Evil, can you add this feature in redmine if we write patch?

#3 - 2014-12-21 14:17 - VVD VVD

Mischa The Evil wrote:
I think the feature you describe is already at hand in current Redmine releases (starting from 1.2.0). It is called time entries bulk edit and it is

available using the right-click menu on any set of selected time entries (making it work just like the right-click menu's bulk edit on issue lists),

then select edit. On the form that follows you can fill in a new issue number which is then set for all the selected time entries. If you leave the

field blank, the existing issue ids will be preserved (no change). As such, you can't set a blank value for issue ids while bulk editing time entries.

That means that you can't bulk edit issue-level time entries into project-level time entries (ones without issue ids) this way.

 This feature work only if you have "admins" permissions in project.

If no - you can't do it - menu item is grey. But you can edit any self time spend item (only one).

#4 - 2015-02-18 04:01 - VVD VVD

Needs feedback

 My message is feedback (we work together with Evgeniy Veretennikov - I'm his boss :-]).

There are no possibility to edit multiple spend time entries by regular user. It's possible with admin privileges in project (in redmine?) only.

You are right, there are already two (main) issues covering this thing: see #3848 and #7239.

 Will try patch from #3848#note-24.

#5 - 2015-04-14 19:28 - Jean-Philippe Lang

- Tracker changed from Feature to Defect

- Subject changed from Change issue number (and user?) of multiple spent time entries simultaneously to Can't bulk edit own time entries with "Edit

own time entries"

- Status changed from Needs feedback to Confirmed

- Target version set to 3.1.0

#6 - 2015-05-09 12:10 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.1.0 to 3.0.3

- Resolution set to Fixed

#7 - 2015-05-10 09:19 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#8 - 2015-05-10 09:25 - Jean-Philippe Lang

- Target version changed from 3.0.3 to 2.6.5
